fop 1.1

## org.apache.fop.render.afp
Class AFPForeignAttributeReader

    java.lang.Object
      org.apache.fop.render.afp.AFPForeignAttributeReader

    public class AFPForeignAttributeReader

extends java.lang.Object

Parses any AFP foreign attributes

Field Summary
`static org.apache.xmlgraphics.util.QName` `RESOURCE_GROUP_FILE` the resource-group-file attribute
`static org.apache.xmlgraphics.util.QName` `RESOURCE_LEVEL` the resource-level attribute
`static org.apache.xmlgraphics.util.QName` `RESOURCE_NAME` the resource-name attribute

Constructor Summary
`AFPForeignAttributeReader()` Main constructor

Method Summary
`AFPResourceInfo` `getResourceInfo(java.util.Map foreignAttributes)` Returns the resource information
`AFPResourceLevel` `getResourceLevel(java.util.Map foreignAttributes)` Returns the resource level

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCE_NAME

    public static final org.apache.xmlgraphics.util.QName RESOURCE_NAME

  the resource-name attribute

### RESOURCE_LEVEL

    public static final org.apache.xmlgraphics.util.QName RESOURCE_LEVEL

  the resource-level attribute

### RESOURCE_GROUP_FILE

    public static final org.apache.xmlgraphics.util.QName RESOURCE_GROUP_FILE

  the resource-group-file attribute

Constructor Detail

### AFPForeignAttributeReader

    public AFPForeignAttributeReader()

  Main constructor

Method Detail

### getResourceInfo

    public AFPResourceInfo getResourceInfo(java.util.Map foreignAttributes)

  Returns the resource information

  Parameters:
    `foreignAttributes` - the foreign attributes
  Returns:
    the resource information

### getResourceLevel

    public AFPResourceLevel getResourceLevel(java.util.Map foreignAttributes)

  Returns the resource level

  Parameters:
    `foreignAttributes` - the foreign attributes
  Returns:
    the resource level

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.